#include<bits/stdc++.h>
using namespace std;
int main(){
    long long int n,i,a[1000],b[1000];
    cin>>n;
    for (i=0;i<n;i++)
	cin>>a[i];
    for (i=0;i<n;i++)    
	cin>>b[i];
	////////////////////// kraj unosa
    long long int najv=0,ii,nili,l,r,iznos;
    for (l=0;l<n;l++)             
	{
        nili = 0; //vracaju se ne 0
        ii = ~0; // menja skroz binarni broj   npr ako je ii = 0000 bice ii=1111
        for (r=l;r<n;r++)
		{
            nili ^= a[r]; // za nili ^
            ii &= b[r];  // za i &
            iznos=nili*ii;  // iznosi vrednos nili * i
            najv=max(najv,iznos); //ako je navjeca dosad onda je to naj
        }
    }
    cout<<najv;   //ispis
}